@import url("reset.css");

* {
  font-family: "Noto Sans TC", Helvetica, Arial, sans-serif;
  color: #585858;
}

button {
  background: none;
  border: none;
  cursor: pointer;
}

/***頁首***/
header {
  width: 100%;
  max-height: 60px;
  background: #6dd0cd;
  z-index: 90;
}

header h1 {
  background: #fff;
  width: 100px;
  left: 5%;
  box-shadow: 0 2px 3px 1px rgba(0, 0, 0, 0.3);
}

/***選單***/
nav {
  position: absolute;
  left: 0;
  top: calc(100vh - 60px);
  width: 100%;
  background: #fff;
  box-shadow: 0 2px 3px 1px rgba(0, 0, 0, 0.3);
  z-index: 100;
  height: 60px;
}

nav ul {
  width: 90%;
  max-width: 1400px;
  text-align: center;
  padding: 19.5px 0;
  margin: 0 auto;
}

nav ul li {
  display: inline-block;
  margin: 0 15px;
}

nav ul li a {
  color: #888888;
  transition: color 0.2s ease-in-out;
  font-size: 16px;
  font-weight: bold;
  display: block;
}

nav ul li a:hover {
  color: #585858;
}

.navBt {
  width: 40px;
  height: 40px;
  display: none;
  margin: 10px 20px 0 auto;
  cursor: pointer;
  background: url("../img/navicon.svg") center no-repeat;
  background-size: 100% auto;
  z-index: 80;
  transition: top 1s linear;
}

.navBt.active {
  background: url("../img/naviconCl.svg") center no-repeat;
  background-size: 100% auto;
  position: fixed;
  top: 0;
  right: 0;
}

.menuLogo {
  position: absolute;
  display: flex;
  width: 180px;
  top: 0;
  left: 0;
  transition: opacity 0.2s ease-in-out;
  opacity: 0;
  pointer-events: none;
  z-index: 70;
}

.menuLogo a {
  width: 60px;
  margin-right: 15px;
}

.menuLogo img {
  width: 60px;
}

.menuLogo h3 {
  font-size: 14px;
  letter-spacing: 1px;
  color: #585858;
  line-height: 60px;
  font-weight: 600;
}

.isTop {
  position: fixed;
  top: 0;
}

.isTop .menuLogo {
  opacity: 1;
  pointer-events: visible;
}

/***banner***/
.banner {
  width: 100%;
  height: calc(100vh - 120px);
  background: url(../img/banner1.jpg) center no-repeat;
  background-size: cover;
  animation-name: bgChange;
  animation-duration: 20s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

.banner.bg2 {
  background: url(../img/banner5.jpg) left center no-repeat;
  background-size: cover;
  animation-name: bgChangeTwo;
  animation-duration: 20s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

@keyframes bgChange {
  0% {
    background: url(../img/banner1.jpg) center no-repeat;
    background-size: cover;
  }

  50% {
    background: url(../img/banner1.jpg) center no-repeat;
    background-size: cover;
  }

  55% {
    background: url(../img/banner5.jpg) left center no-repeat;
    background-size: cover;
  }

  95% {
    background: url(../img/banner5.jpg) left center no-repeat;
    background-size: cover;
  }

  100% {
    background: url(../img/banner1.jpg) center no-repeat;
    background-size: cover;
  }
}

@keyframes bgChangeTwo {
  0% {
    background: url(../img/banner5.jpg) left center no-repeat;
    background-size: cover;
  }

  50% {
    background: url(../img/banner5.jpg) left center no-repeat;
    background-size: cover;
  }

  55% {
    background: url(../img/banner1.jpg) center no-repeat;
    background-size: cover;
  }

  95% {
    background: url(../img/banner1.jpg) center no-repeat;
    background-size: cover;
  }

  100% {
    background: url(../img/banner5.jpg) left center no-repeat;
    background-size: cover;
  }
}

.banner .box {
  position: absolute;
  font-weight: 600;
  top: calc(50% - 67px);
  left: 5%;
}

.banner .box>* {
  margin-bottom: 20px;
  letter-spacing: 3.5px;
  line-height: 1;
  color: #fff;
}

.banner .box p {
  font-size: 18px;
}

.banner .box h2 {
  font-size: 48px;
}

.banner .box h4 {
  font-size: 28px;
  color: #c5edeb;
}

/***文章區域***/
.anchor {
  position: absolute;
  top: -120px;
  left: 0;
  width: 0;
  height: 0;
  overflow: hidden;
}

.content {
  width: 100%;
  padding: 130px 0 70px 0;
  background: url(../img/contentBg.jpg?0215) center no-repeat;
  background-attachment: fixed;
  background-size: cover;
}

.content article {
  display: flex;
  width: 95%;
  max-width: 1200px;
  border-radius: 30px;
  margin: 0 auto 60px auto;
  background: #f1f9f9;
  overflow: hidden;
}

.content article .type {
  width: 30%;
  padding: 36px 0;
  color: #585858;
  font-weight: 600;
}

.content article .type>* {
  width: calc(100% - 60px);
  padding: 0 30px;
}

.content article .type h4 {
  font-size: 24px;
  margin-bottom: 10px;
  line-height: 1;
  letter-spacing: 2px;
}

.content article .type p {
  font-size: 16px;
}

.content article ul {
  list-style: none;
  width: 100% !important;
  padding: 0 !important;
  margin-top: 30px;
}

.content article ul li {
  width: calc(100% - 60px);
  padding: 20px 30px;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
}

.content article ul li:hover {
  background: #fff;
}

.content article ul li a {
  font-size: 16px;
  color: #8b8b8b;
  pointer-events: none;
}

.content article ul li:hover a {
  color: #4ab5b9;
}

.content article ul li.active {
  background: #fff;
  color: #4ab5b9;
}

.content article ul li.active a {
  color: #4ab5b9;
}

.content article .inner {
  width: calc(70% - 120px);
  background: #fff;
  padding: 36px 60px;
  text-align: justify;
}

.content article .inner h3 {
  font-size: 16px;
  color: #4ab5b9;
  margin-bottom: 16px;
  padding-bottom: 16px;
  border-bottom: 1px solid #e8e8e8;
}

.content article .inner p {
  color: #585858;
  letter-spacing: 1.5px;
  line-height: 2;
}

.content article .inner a.more {
  width: 100%;
  display: block;
  text-align: right;
  color: #4ab5b9;
  margin-top: 60px;
  transition: opacity 0.2s ease-in-out;
}

.content article .inner a.more:hover {
  opacity: 0.7;
}

.content article .inner img {
  margin: 30px auto;
}

.content article .inner iframe {
  width: 100%;
  height: 350px;
  margin: 30px auto;
}

.content article .inner .contentArea {
  display: none;
}

.content article .inner .contentArea:first-child {
  display: block;
}

.content article.gray {
  background: #f5f4f3;
}

/***內文切換***/
.contentSwitch {
  width: 100%;
  display: flex;
  justify-content: center;
  border-top: 1px solid #e8e8e8;
  margin-top: 60px;
}

.contentSwitch .prev,
.contentSwitch .next {
  width: calc(50% - 0.5px);
  padding: 15px 0 30px 0;
}

.contentSwitch button {
  transition: color 0.2s ease-in-out;
}

.contentSwitch button:hover {
  color: #4ab5b9;
}

.contentSwitch .prev {
  border-right: 0.5px solid #e8e8e8;
}

.contentSwitch .prev button {
  display: none;
}

.contentSwitch .next {
  border-left: 0.5px solid #e8e8e8;
  text-align: right;
}

/***輪播***/
.content article .inner .photoNav img {
  margin: 0 15px;
}

.boxLoading {
  position: absolute;
  top: 0;
  left: calc(50% - 60px);
  width: 120px;
}

/***商品***/
.pro {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: flex-start;
  align-content: flex-start;
  padding-bottom: 30px;
  margin-bottom: 30px;
  border-bottom: 1px solid #e8e8e8;
}

.inner .pro:last-child {
  border: none;
}

.content article .inner .pro img {
  width: 30%;
  margin: 0;
}

.pro>div {
  width: calc(70% - 30px);
}

.content article .inner .pro div h3 {
  border: none;
  margin: 0 auto 10px auto;
  padding: 0;
}

/***地址***/
address p {
  vertical-align: middle;
}

address .add:before {
  background: url(../img/icon_add.svg) no-repeat center;
}

address .phone:before {
  background: url(../img/icon_phone.svg) no-repeat center;
}

address .mail:before {
  background: url(../img/icon_mail.svg) no-repeat center;
}

address .add:before,
address .phone:before,
address .mail:before {
  width: 20px;
  height: 20px;
  content: "";
  display: inline-block;
  background-size: cover;
  margin: 3px 10px 6px 0;
  vertical-align: middle;
}

/***頁尾***/
footer {
  background: #6dd0cd;
  padding: 15px 0;
  color: #fff;
  font-size: 12px;
  display: flex;
  justify-content: space-around;
}

footer .sns {
  text-align: center;
}

footer .sns a {
  width: 30px;
  display: inline-block;
  margin: 0 5px;
  opacity: 0.9;
  transition: opacity 0.2s ease-in-out;
}

footer .sns a:hover {
  opacity: 1;
}

#copyright {
  line-height: 1;
  margin: 10px 0;
  text-align: center;
  color: #fff;
}

#copyright span {
  color: #fff;
}

@media only screen and (max-width: 1000px) {
  .banner {
    height: calc(100vh - 60px);
  }

  nav {
    background: transparent;
    top: 0;
    box-shadow: none;
  }

  nav ul {
    display: none;
    width: 100%;
    height: 100vh;
    position: fixed;
    background: rgba(255, 255, 255, 0.9);
    top: 0;
    left: 0;
    padding-top: 100px;
  }

  nav ul li {
    display: block;
    margin: 20px auto;
    width: 80%;
    max-width: 400px;
  }

  .navBt {
    display: block;
    filter: brightness(10);
  }

  nav .active {
    filter: none;
  }

  nav.isTop {
    background: #fff;
    box-shadow: 0 2px 3px 1px rgba(0, 0, 0, 0.3);
  }

  .isTop .navBt {
    filter: none;
  }
}

@media only screen and (max-width: 750px) {

  /***文章區域***/
  .content article {
    flex-wrap: wrap;
  }

  .content article .type {
    width: 100%;
  }

  .content article .type ul {
    display: none;
  }

  #traffic .type ul {
    display: block;
  }

  .content article .inner {
    width: 90%;
    margin: 0 auto;
    padding: 36px 5%;
  }

  .content article .inner iframe {
    height: 250px;
    margin: 15px auto;
  }

  footer {
    display: block;
  }

  footer .sns {
    display: block;
    margin: 0 auto 10px auto;
  }

  #copyright {
    margin: 0 auto;
  }
}

@media only screen and (max-width: 500px) {}